Bug 5422 - Disconnect inactive internet connections after idle timeout
: Disconnect inactive internet connections after idle timeout
Status: RESOLVED WONTFIX
Product: Connectivity
Networking
: 5.0/(2.2009.51-1)
: N900 Linux
: Low enhancement with 42 votes (vote)
: ---
Assigned To: unassigned
: networking-bugs
: http://talk.maemo.org/showthread.php?...
: use-time
:
:
  Show dependency tree
 
Reported: 2009-10-13 23:47 UTC by Zach Goldberg
Modified: 2012-03-24 11:43 UTC (History)
12 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Zach Goldberg (reporter) 2009-10-13 23:47:29 UTC
SOFTWARE VERSION:
(Control Panel > General > About product)
1.2009.41-10

STEPS TO REPRODUCE THE PROBLEM:
1. Turn on a wireless network and an application which uses it
2. Close all applications using the internet
3. Witness the internet connection remaining on

EXPECTED OUTCOME:
At step 3. the internet connection should automatically be severed after a
short period of no applications using it to preserve battery.

ACTUAL OUTCOME:
Wireless radios stay on indefinitely wasting power when not in use.

REPRODUCIBILITY:
always

EXTRA SOFTWARE INSTALLED:

OTHER COMMENTS:
See the a thread on talk.maemo about whether or not this is appropriate
behavior:
http://talk.maemo.org/showthread.php?p=345721#post345721

In short: I would think that Nokia is trying to squeeze every bit of battery
out of this device.  Turning off radios when entirely unused seems to fall into
that umbrella.

User-Agent:       Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.1.3)
Gecko/20090824 Firefox/3.5.3
Comment 1 Andre Klapper maemo.org 2009-10-14 21:11:43 UTC
I must admit that I don't totally get it. Where does the radio comes into play
here? Because it is not mentioned at all in the steps to reproduce...

Can you please provide exact steps?

If I get it right this is:
1. Be offline
2. Start an internet radio from the media player
3. After 2 minutes stop using it and close the media player
4. Still have nothing else running that requires internet connection
EXPECTED:
Device should ask to go offline

?

Also, how did you witness the internet connection remaining on? Just by the
User Interface in the status bar?
Comment 2 Zach Goldberg (reporter) 2009-10-14 22:06:20 UTC
Clarification "internet radios" means hardware 3G or WIFI radio.  Not the media
player "internet radio" music services.

Steps:
1) Be offline
2) Open a page in the web browser and hence use WIFI or 3G
3) Notice that wifi or 3G is being used in the status bar
4) Close the web browser
5) Witness the internet connection remains on

EXPECTED:
Internet connection should automatically turn off after all internet-using
applications have closed.  Try these steps on any Symbian S60 device and you
will get the expected outcome.  Try these steps on Maemo 5 / N900 and you get
the internet staying connected (according to status bar)
Comment 3 Lucas Maneos 2009-10-18 19:08:25 UTC
(In reply to comment #2)
> EXPECTED:
> Internet connection should automatically turn off after all internet-using
> applications have closed.

This is quite hard to do, especially since a lot of internet-user
"applications" are really hildon-home/hildon-status-menu plugins that can be
enabled/disabled during the process's lifetime.

In previous Maemo versions one could set idle timeouts for each type of IP
connection (Control panel -> Connectivity -> Idle times in Diablo).  Would
reintroducing something similar be acceptable?
Comment 4 Zach Goldberg (reporter) 2009-10-18 20:06:00 UTC
that sounds pretty good... what is the definition of idle?  does that mean no
open connectios or just no data flowing?  It would also be good if the options
for this had some small choices, like 15 or 30 seconds all the way up to 5 or
10 minutes (as well as a 'never' option)
Comment 5 Lucas Maneos 2009-10-18 20:31:20 UTC
(In reply to comment #4)
> that sounds pretty good...

Thanks, adjusting summary and confirming (oh, and resetting priority, we're not
meant to touch that).

> does that mean no open connectios or just no data flowing?  It would also
> be good if the options for this had some small choices, like 15 or 30 seconds
> all the way up to 5 or 10 minutes (as well as a 'never' option)

No data flowing.  In Diablo the GUI options are 5, 10 & 60 minutes plus
"Unlimited", but the values can be tweaked in gconf where they are stored in
second resolution.
Comment 6 Jukka Rissanen nokia 2009-10-19 11:59:37 UTC
In fremantle the system is meant to be always online so no official idletimer
support.

It is possible to activate it as icd2 idletimer support is still there in
fremantle but you will need kernel support activated.
This is not tested but should probably work:
- compile idletimer kernel module (IDLETIMER config option is in netfilter
configuration), the idletimer files are found in fremantle kernel sources
- install iptables + ipt_IDLETIMER module (take the sources from diablo and
compile)
- load the kernel module before icd2 starts

There is no UI for setting idletimer value. The idletimer settings are per
network type i.e.,
/system/osso/connectivity/network_type/WLAN_INFRA/idle_timeout for WLAN
(cellular network type is called GPRS) and the value is in seconds.
Comment 7 gidyn 2009-12-09 23:58:41 UTC
Could this be enabled for bluetooth as well? If an application enables
bluetooth, I don't want it staying on after the application has exited.
Comment 8 fpp 2009-12-13 20:12:45 UTC
(In reply to comment #6)
> In fremantle the system is meant to be always online so no official idletimer
> support.

Sorry, but as a longtime Maemo user I find this a pretty stupid decision.

Even if a system "is meant to be always online", users should be the ones to
decide how they want to use their system, and they should have a choice.

This functionality (with the UI to set it !) has been present in all versions
of Maemo since OS2005 on the 770... how hard could it be to keep it in
Fremantle ?

Maximum power saving doesn't work for everybody, my Wifi AP doesn't support it
and freezes connections every few minute. Battery life on the N900 is short
enough as it is, compared to previous tablets, I'd really like to stay in
control of when it connects and for how long...

Please bring it back !

TIA,
fpp
Comment 9 Florian Boor 2010-01-05 12:25:40 UTC
This is still valid for the very latest software. 

I agree that in an optimal world all devices could be online all the time but
especially for 3G connections this can be a very expensive misfeature if
someone forgets to disable a data connection and pays per time. There should
always be a safe fallback like a timeout to help the user to avoid this very
bad user experience. Even if many users have a flat data connection we cannot
assume this is true for everyone in every country.
Comment 10 Aaron 2010-01-08 05:16:40 UTC
I think this would dramatically improve battery life when running applications
that auto update at certain intervals. ATM you need to leave your 2G internet
connection running at all times for them to function properly, once auto
connected the phone never disconnects and battery life is wasted on this idle
connection...
Comment 11 Eero Tamminen nokia 2010-04-12 16:41:17 UTC
In Harmattan there will be some things done for this (internal change ticket
507), but for best results it will need additional support from applications.  

The issue is that if one has IM, VOIP, Email, RSS all running, is receiving
lots of messages etc, the timeout might never actually be triggered, especially
if one's on slow 2G connection through which this data can come quite slow.

I assume Harmattan (SDK) is going to have some extra API for this which (also)
3rd party applications can use to signal that they've completed their current
network transaction.
Comment 12 Ashley Hooper 2011-05-19 06:03:59 UTC
Fixed by AutoDisconnect package?
Comment 13 bugs.maemo.org@falkensweb.com 2011-05-19 22:37:09 UTC
Agreed. While at launch this important feature was missing, the community has
stepped up with a program to add it.

Recommend closing this issue.
Comment 14 Andre Klapper maemo.org 2012-03-24 11:43:36 UTC
The Maemo 5 User Interface and Maemo 5 platform components (e.g. libraries)
used for the N900 are considered stable by Nokia and it seems that there are no
plans for official updates currently, hence nobody plans to work on this
enhancement/wishlist request. 
(And in case you feel like discussing this situation: Nokia Customer Care or
http://talk.maemo.org would be the place to do so as you will not reach Nokia
officials in this community bugtracker - though all of this is really no news.)

Reflecting this status by setting RESOLVED WONTFIX for this
enhancement/wishlist request (see
https://bugs.maemo.org/page.cgi?id=fields.html#status for status explanations).

There is a small chance for issues in those Maemo components that are open
source: Contributed patches could be included and made available in the Maemo 5
Community CSSU updates. 
The Maemo CSSU project is run by a small team of volunteers; see
http://wiki.maemo.org/CSSU for more information.
So in case that you can provide a patch that fixes the reported problem, please
feel encouraged to file a request under
https://bugs.maemo.org/enter_bug.cgi?product=Maemo%205%20Community%20SSU .
Please note: The Maemo CSSU project is not related in any way to Nokia.


( Tag for mass-deleting bugmail: [cleanup20120324] )